For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Form Field Values
                • PUTUpsert Customer Form Field Values
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Form Field Values

Upsert Customer Form Field Values

Deprecated
PUT
https://api.bigcommerce.com/stores/:store_hash/v3/customers/form-field-values
PUT
/stores/:store_hash/v3/customers/form-field-values
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/customers/form-field-values \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "Sales Rep",
> "value": "Miss Moneypenny",
> "customer_id": 12
> },
> {
> "name": "How did you hear about us?",
> "value": "Other",
> "customer_id": 12
> },
> {
> "name": "What is your favorite pizza topping?",
> "value": "Mushrooms",
> "customer_id": 12
> }
>]'
1{
2 "data": [
3 {
4 "name": "Sales Rep",
5 "value": "Miss Moneypenny",
6 "customer_id": 12
7 },
8 {
9 "name": "How did you hear about us?",
10 "value": "Other",
11 "customer_id": 12
12 },
13 {
14 "name": "What is your favorite pizza topping?",
15 "value": "Mushrooms",
16 "customer_id": 12
17 }
18 ],
19 "meta": {}
20}
This endpoint is deprecated. Use [Update a Customer Address](/developer/api-reference/rest/admin/management/customers/v3/addresses/update-customers-addresses) and [Update Customers](/developer/api-reference/rest/admin/management/customers/v3/update-customers) endpoints instead. To learn more about editing form fields, see [Adding and Editing Fields in the Account Signup Form](https://support.bigcommerce.com/s/article/Editing-Form-Fields). **Limits** * Limit of 10 concurrent requests.
Was this page helpful?
Previous

List Customer Form Field Values

Next

Get Customer Settings

Built with

This endpoint is deprecated. Use Update a Customer Address and Update Customers endpoints instead.

To learn more about editing form fields, see Adding and Editing Fields in the Account Signup Form.

Limits

  • Limit of 10 concurrent requests.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects a list of objects.
Customer Form Field ValueobjectRequired
OR
Customer Address Form Field ValueobjectRequired

Response

datalist of objects
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.